gtkmm 3.24.10

Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Gtk::TreeModelColumnBase Class Reference
TreeView Classes

Base class of TreeModelColumn templates. More...

`#include <gtkmm/treemodelcolumn.h>`

Inheritance diagram for Gtk::TreeModelColumnBase:
[legend]

## Public Member Functions
GType | type () const
int | index () const

## Protected Member Functions
| TreeModelColumnBase (GType g_type)

## Related Symbols
(Note that these are not member symbols.)
bool | operator== (const TreeModelColumnBase & lhs, const TreeModelColumnBase & rhs)
bool | operator!= (const TreeModelColumnBase & lhs, const TreeModelColumnBase & rhs)

## Detailed Description

Base class of TreeModelColumn templates.

## Constructor & Destructor Documentation

## ◆ TreeModelColumnBase()

Gtk::TreeModelColumnBase::TreeModelColumnBase | ( | GType | g_type | ) |
| explicit protected

## Member Function Documentation

## ◆ index()

int Gtk::TreeModelColumnBase::index | ( |  | ) | const
| inline

## ◆ type()

GType Gtk::TreeModelColumnBase::type | ( |  | ) | const
| inline

## Friends And Related Symbol Documentation

## ◆ operator!=()

bool operator!= | ( | const TreeModelColumnBase & | lhs,
|  | const TreeModelColumnBase & | rhs )
| related

## ◆ operator==()

bool operator== | ( | const TreeModelColumnBase & | lhs,
|  | const TreeModelColumnBase & | rhs )
| related